import { TestRail, AddResultForCase, Test, Result } from "testrail-js-api";
import type { Config, Screenshot } from "../types";
export declare const uploadScreenshots: ({ config, tests, results, resultsToPush, screenshots, testrailAPI, }: {
    config: Config;
    tests: Test[];
    results: Result[];
    resultsToPush: AddResultForCase[];
    screenshots: {
        [key: string]: Screenshot[];
    };
    testrailAPI: TestRail;
}) => Promise<void>;
